issueNumber: MDL-83448
notes:
  core:
    - message: >
        - Added is_site_registered_in_hub method in lib/classes/hub/api.php to
          check if the site is registered or not.
        - Added get_secret method in lib/classes/hub/registration.php to get site's secret.
      type: improved
